Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 125267 - Cannot modify variable of type java.lang.Boolean
Cannot modify variable of type java.lang.Boolean
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 10:16 UTC by _ bernihuber
Modified: 2010-04-29 09:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ bernihuber 2008-01-15 10:16:11 UTC
I'm not able to modify the value of a java.lang.Boolean variable in the window "Local variable" debugging window.

This problem occurs for all wrapper classes like java.lang.Double, etc 

It is somewhat inconvinient.

see also : http://www.netbeans.org/servlets/ReadMsg?list=nbusers&msgNo=108344
Comment 1 Martin Entlicher 2008-01-15 15:59:57 UTC
Reproduced. We can detect the wrapper classes.
Comment 2 Martin Entlicher 2008-01-25 15:49:25 UTC
Automatic autoboxing or unboxing is performed when setting variable values:

/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/expr/EvaluatorVisitor.java,v  <-- 
EvaluatorVisitor.java
new revision: 1.17; previous revision: 1.16

/shared/data/ccvs/repository/debuggerjpda/src/org/netbeans/modules/debugger/jpda/models/AbstractVariable.java,v  <-- 
AbstractVariable.java
new revision: 1.54; previous revision: 1.53
Comment 3 Quality Engineering 2010-04-29 09:37:34 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo